Name:		qubes-mgmt-salt-dom0-qubes-infrastructure
Version:	4.2.0
Release:	1%{?dist}
Summary:	Manage Qubes OS infrastructure VMs

Group:		System administration tools
License:	GPL 2.0
BuildArch:  noarch
URL:		https://www.qubes-os.org/
Source:	%{name}-%{version}.tar.gz
BuildRequires: make
Requires:	qubes-mgmt-salt
Requires:	qubes-mgmt-salt-dom0

# Turn off automatic python bytecompilation
%undefine py_auto_byte_compile

%description


%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}


%files
%defattr(-,root,root)
%doc LICENSE README.md
%attr(750, root, root) %dir /srv/formulas/base/qubes-infrastructure
/srv/formulas/base/qubes-infrastructure/README.md
/srv/formulas/base/qubes-infrastructure/LICENSE
/srv/formulas/base/qubes-infrastructure/build-infra

%attr(750, root, root) %dir /srv/pillar/base/build-infra
%config(noreplace) /srv/pillar/base/build-infra/init.sls
%config(noreplace) /srv/pillar/base/build-infra/logs.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel-repo.sls
%config(noreplace) /srv/pillar/base/build-infra/build-vms.sls
%config(noreplace) /srv/pillar/base/build-infra/init.top

%config(noreplace) /etc/salt/minion.d/qubes-infrastructure.conf

%changelog
* Sat Jun 22 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-infrastructure.git

* Sat Jun 22 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ce56de
- version 4.2.0

* Sat Jun 22 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 95e69f9
- Update default template version to fedora-40

* Sat Jun 22 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 66fc4bd
- Install pykickstart in builder template

* Thu Mar 28 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 85757ff
- version 4.1.15

* Thu Mar 28 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19dc4eb
- Instal sq and chameleon now used by builderv2 too

* Sat Mar 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfa1246
- version 4.1.14

* Sat Mar 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dbe8186
- Update builder-cleanup script for builderv2

* Sat Mar 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4444ded
- version 4.1.13

* Sat Mar 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 59556a0
- Include builder-cleanup service in builderv2 VMs too

* Sat Mar 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e895c1
- Update known-good commit hashes and qubes-builder submodule

* Fri Mar 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 179dd13
- version 4.1.12

* Tue Mar 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bbf9d6e
- Use nftables on R4.2

* Tue Mar 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6188fd
- Update builder-cleanup script

* Wed Jan 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6676f88
- Update submodules

* Sun Jan 07 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1432bf0
- version 4.1.11

* Sun Jan 07 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24b06c9
- Allow qubes.Filecopy call to DispVM too

* Tue Jul 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33d5fca
- version 4.1.10

* Mon Jul 24 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9f28484
- builderv2: support maintainers for configs

* Fri Jun 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d407323
- version 4.1.9

* Fri Jun 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed07f0a
- Update github.com host key

* Fri Jun 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b504c4
- Update submodules and known-good commit hashes

* Fri Jun 23 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 1266ab6
- Remove duplicate package to be installed

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2faaecc
- version 4.1.8

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7e526e
- Add dependencies for arch packages

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e81e794
- version 4.1.7

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd04de2
- Typo fix

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2c61e8
- version 4.1.6

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 934e624
- Allow admin.vm.CreateDisposable call to builder-dvm explicitly too

* Sat Apr 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ea2f64
- version 4.1.5

* Sat Apr 08 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0f3221b
- Make openqa client conf conditional

* Wed Mar 29 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 644c45d
- Create openqa config file instead of feeding github.yml

* Tue Mar 28 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 929532e
- Allow to pass iso-base-url for notify-issues

* Sun Mar 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b02e826
- version 4.1.4

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a83abc3
- Set openqa entries only if they are defined

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4969fdb
- Update default template to Fedora 37

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 160cc3f
- Support for setting builder-github openqa values

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f090325
- Support for setting encryption in remote hosts

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe14848
- version 4.1.3

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f60122
- Switch webhooks to builderv2-github version

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5985910
- Add SSH proxy last

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f1202e
- Install sequoia-sqv in template

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 019b1e9
- version 4.1.2

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ece1d7c
- Unbreak openssl's ripemd160

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ec5f4a
- version 4.1.1

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 549443b
- Move qubesbuilder.ProcessGithubCommand to the new policy too

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0e619f4
- Fix typo in qrexec policy

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07d74f0
- Fix example pillar

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f423ae
- Fix setting split-gpg autoaccept time

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11b7fb2
- Install mkmetalink in build VM for builderv2

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 838261b
- version 4.1.0

